Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 426952 - sys-power/pm-utils - Wifi doesn't work after suspend on MacBook Pro with b43
Summary: sys-power/pm-utils - Wifi doesn't work after suspend on MacBook Pro with b43
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Core system (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Freedesktop bugs
URL:
Whiteboard:
Keywords: PMASKED
Depends on:
Blocks:
 
Reported: 2012-07-17 08:56 UTC by Yaron Tausky
Modified: 2021-02-21 10:57 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
Rule file for pm-utils (75modules,22 bytes, text/plain)
2012-07-17 08:56 UTC, Yaron Tausky
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Yaron Tausky 2012-07-17 08:56:33 UTC
Created attachment 318408 [details]
Rule file for pm-utils

After suspending my MacBook Pro, I can no longer connect to wifi networks. Reloading the b43 kernel module solves this problem. I suggest adding the attached file to /etc/pm/sleep.d as a fix (note that it has to run before /usr/lib64/pm-utils/sleep.d/75modules).
Comment 1 Rick Farina (Zero_Chaos) gentoo-dev 2014-07-27 03:16:37 UTC
Given how long this has been rotting on our bugzilla, if this is needed then it should probably be pushed upstream.  Please let the pm-utils folks know if they don't already.
Comment 2 Samuli Suominen gentoo-dev 2014-07-27 11:47:31 UTC
(In reply to Rick Farina (Zero_Chaos) from comment #1)
> Given how long this has been rotting on our bugzilla, if this is needed then
> it should probably be pushed upstream.  Please let the pm-utils folks know
> if they don't already.

There is no upstream for this package. We are the upstream now.
Comment 3 Larry the Git Cow gentoo-dev 2021-02-21 10:57:25 UTC
The bug has been closed via the following commit(s):

https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f146bb7e14ac3405429772d4adfef555f7810c20

commit f146bb7e14ac3405429772d4adfef555f7810c20
Author:     Jakov Smolic <jakov.smolic@sartura.hr>
AuthorDate: 2021-02-21 10:56:16 +0000
Commit:     David Seifert <soap@gentoo.org>
CommitDate: 2021-02-21 10:56:16 +0000

    sys-power/pm-utils: Remove last-rited pkg
    
    Closes: https://bugs.gentoo.org/659616
    Closes: https://bugs.gentoo.org/703026
    Closes: https://bugs.gentoo.org/666380
    Closes: https://bugs.gentoo.org/579912
    Closes: https://bugs.gentoo.org/549848
    Closes: https://bugs.gentoo.org/533168
    Closes: https://bugs.gentoo.org/489650
    Closes: https://bugs.gentoo.org/443530
    Closes: https://bugs.gentoo.org/442052
    Closes: https://bugs.gentoo.org/437930
    Closes: https://bugs.gentoo.org/426952
    Closes: https://bugs.gentoo.org/426510
    Closes: https://bugs.gentoo.org/403523
    Closes: https://bugs.gentoo.org/401257
    Closes: https://bugs.gentoo.org/362387
    Closes: https://bugs.gentoo.org/257156
    
    Signed-off-by: Jakov Smolic <jakov.smolic@sartura.hr>
    Signed-off-by: David Seifert <soap@gentoo.org>

 profiles/arch/amd64/package.use.mask               |  4 -
 profiles/arch/base/package.use.mask                |  4 -
 profiles/arch/hppa/use.mask                        |  4 -
 profiles/arch/x86/package.use.mask                 |  4 -
 sys-power/pm-utils/Manifest                        |  1 -
 .../pm-utils/files/1.4.1-bluetooth-sync.patch      | 43 ----------
 .../pm-utils/files/1.4.1-disable-sata-alpm.patch   | 24 ------
 sys-power/pm-utils/files/1.4.1-echo-n.patch        | 51 ------------
 sys-power/pm-utils/files/1.4.1-fix-alpm-typo.patch | 29 -------
 .../1.4.1-fix-intel-audio-powersave-hook.patch     | 40 ---------
 .../pm-utils/files/1.4.1-ignore-led-failure.patch  | 14 ----
 .../files/1.4.1-inhibit-on-right-status.patch      | 20 -----
 .../pm-utils/files/1.4.1-logging-append.patch      | 17 ----
 .../pm-utils/files/1.4.1-run-hook-logging.patch    | 17 ----
 .../pm-utils/files/1.4.1-suspend-hybrid.patch      | 36 ---------
 .../files/1.4.1-uswsusp-hibernate-mode.patch       | 19 -----
 .../files/1.4.1-xfs_buffer_arguments.patch         | 31 -------
 sys-power/pm-utils/files/pm-utils.logrotate        |  8 --
 sys-power/pm-utils/files/power.d/pci_devices       | 61 --------------
 sys-power/pm-utils/files/power.d/usb_bluetooth     | 45 -----------
 sys-power/pm-utils/files/sleep.d/50unload_alx      | 18 -----
 sys-power/pm-utils/metadata.xml                    | 10 ---
 sys-power/pm-utils/pm-utils-1.4.1-r7.ebuild        | 94 ----------------------
 23 files changed, 594 deletions(-)